sparkcrawlDocs

Pause a recrawl schedule when automation is enabled

DELETE soft-pauses the schedule; it does not remove its record.

DELETE
/api/v1/schedules/{id}

DELETE soft-pauses the schedule; it does not remove its record.

Authorization

bearerAuth
headerAuthorizationBearer <sc_live_<43 characters>>

Organization API key created at /app/api. Scopes: scrape, crawl, search, research. The secret is shown once.

Path Parameters

id*string

Response Body

Paused schedule

application/json
  1. response
id*string
organizationId*string
url*string
Formaturi
intervalMs*integer
nextRunAt*integer
paused*boolean
Example Request
curl -X DELETE 'https://sparkcrawl.com/api/v1/schedules/string'
Example Response
{  "id": "string",  "organizationId": "string",  "url": "http://example.com",  "intervalMs": 0,  "nextRunAt": 0,  "paused": true}